from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComDrSosiety(UltmarcTable):
    """レイアウト区分521: COM_所属学会"""
    dcf_dr_id: str              # レコードID
    dcf_dr_code: str            # 個人コード
    dcf_dr_yobi: str            # 個人コード(予備)
    maint_flag: str             # 修正区分
    sosiety_cd: str             # 学会コード
    cont_flag: str 	            # 予備／所属学会メンテ区分
    sosiety_f: str              # 学会年度
    dcf_pcf_dr_cd: str          # DCFPCF医師コード

# メンテナンス年月日 と　予備／転送年月日　は未使用

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.dcf_dr_id = record[1]
        self.dcf_dr_code = record[2]
        self.dcf_dr_yobi = record[3].strip()
        self.maint_flag = record[4]
        self.sosiety_cd = record[5]
        self.cont_flag = record[6]
        self.sosiety_f = record[9]

        # DCFPCF医師コード(レコードID + 個人コード + 個人コード(予備))
        self.dcf_pcf_dr_cd = ''.join([self.dcf_dr_id, self.dcf_dr_code, self.dcf_dr_yobi])
